/*
** Module   : tty.sound.js
** Abstract : play beep sound. 
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140110 First version.
** 002 MAG 20140228 Add javadoc.
*/

tty.sound = (function()
{
   /* exports object */
   var my = {};            
   
   /* audio DOM element */
   var audio;
   
   /* audio enabled */
   var enabled = true;
   
   /**
    * Initialize module.
    *  
    * @param {object} cfg  configuration.
    */
   my.init = function(cfg)
   {
      audio = document.getElementById(cfg.sound.id);
      enabled = cfg.sound.enabled;
   };

   /**
    * Play beep sound.
    */
   my.beep = function()
   {
      if (enabled)
      {
         audio.play();
      }
   };
   
   /* exports */
   return my;       
}());
